package com.zehong.system.domain;

import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 工作督导对象 t_work_supervision
 * 
 * @author zehong
 * @date 2025-08-15
 */
public class TWorkSupervision extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 督导id */
    private Long supervisionId;

    /** 督导类型 */
    @Excel(name = "督导类型")
    private String type;

    /** 督导标题 */
    @Excel(name = "督导标题")
    private String title;

    /** 督导内容 */
    @Excel(name = "督导内容")
    private String content;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** 图片 */
    @Excel(name = "图片")
    private String imageUrl;

    /** 文件 */
    @Excel(name = "文件")
    private String fileUrl;

    private Long hiddenId;

    public Long getHiddenId() {
        return hiddenId;
    }

    public void setHiddenId(Long hiddenId) {
        this.hiddenId = hiddenId;
    }

    public void setSupervisionId(Long supervisionId)
    {
        this.supervisionId = supervisionId;
    }

    public Long getSupervisionId() 
    {
        return supervisionId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setImageUrl(String imageUrl) 
    {
        this.imageUrl = imageUrl;
    }

    public String getImageUrl() 
    {
        return imageUrl;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("supervisionId", getSupervisionId())
            .append("type", getType())
            .append("title", getTitle())
            .append("content", getContent())
            .append("status", getStatus())
            .append("imageUrl", getImageUrl())
            .append("fileUrl", getFileUrl())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
